UbuntuUpdates.org

Package "systemd"

Name: systemd

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • python bindings for systemd

Latest version: 204-5ubuntu20.31
Release: trusty (14.04)
Level: updates
Repository: universe

Links

Save this URL for the latest version of "systemd": https://www.ubuntuupdates.org/systemd



Other versions of "systemd" in Trusty

Repository Area Version
base universe 204-5ubuntu20
base main 204-5ubuntu20
security main 204-5ubuntu20.31
security universe 204-5ubuntu20.31
updates main 204-5ubuntu20.31
PPA: Mint upstream 204-5ubuntu20.15linuxmint1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 204-5ubuntu20.31 2019-04-08 13:06:18 UTC

  systemd (204-5ubuntu20.31) trusty-security; urgency=medium

  * SECURITY UDPATE: Unsafe environment usage in pam_systemd.so leads to
    incorrect Policykit authorization
    - debian/patches/CVE-2019-3842.patch: Use secure_getenv() rather than
      getenv() in pam_systemd.c
    - CVE-2019-3842

 -- Chris Coulson <email address hidden> Thu, 07 Mar 2019 16:30:13 +0000

Source diff to previous version
CVE-2019-3842 RESERVED

Version: 204-5ubuntu20.29 2018-12-17 12:06:25 UTC

  systemd (204-5ubuntu20.29) trusty; urgency=medium

  * d/p/0001-udev-build-by-path-identifiers-for-ATA-devices.patch
    create /dev/disk/by-path/ symlinks for (s)ata disks
    (LP: #1802525)

 -- Dan Streetman <email address hidden> Fri, 09 Nov 2018 10:16:27 -0500

Source diff to previous version
1802525 (s)ata disks do not have /dev/disk/by-path links created

Version: 204-5ubuntu20.28 2018-04-19 19:07:01 UTC

  systemd (204-5ubuntu20.28) trusty; urgency=medium

  * logind: fix memleaks in session's free path and cgmanager glue code
    (LP: #1750013)

 -- <email address hidden> (Guilherme G. Piccoli) Tue, 03 Apr 2018 13:38:08 +0000

Source diff to previous version
1750013 systemd-logind: memory leaks on session's connections (trusty-only)

Version: 204-5ubuntu20.26 2018-02-05 22:06:49 UTC

  systemd (204-5ubuntu20.26) trusty-security; urgency=medium

  * SECURITY UPDATE: access to automounted volumes can lock up
    (LP: #1709649)
    - debian/patches/CVE-2018-1049.patch: ack automount requests even when
      already mounted in src/core/automount.c.
    - CVE-2018-1049

 -- Marc Deslauriers <email address hidden> Thu, 01 Feb 2018 07:52:32 -0500

Source diff to previous version
1709649 229 backport for race between explicit mount and handling automount
CVE-2018-1049 automount: access to automounted volumes can lock up

Version: 204-5ubuntu20.25 2017-10-16 15:06:45 UTC

  systemd (204-5ubuntu20.25) trusty; urgency=medium

  * rules: introduce fsck@.service for snappy (LP: #1718966)

 -- Rafael David Tinoco <email address hidden> Mon, 02 Oct 2017 21:39:38 +0000

1718966 Cannot install snaps on Ubuntu 14.04 with /var on its own partition



About   -   Send Feedback to @ubuntu_updates